<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: access");
header("Access-Control-Allow-Methods: GET,POST");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;




$googleToken = $_POST['token'];

$response = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LecQ5QiAAAAAIn2WlmXtfigEI7a5yjcyWy5Lygh&response={$googleToken}"); 
$response = json_decode($response);
$response = (array) $response;

// --- verificamos la validacion del capcha

if($response['success'] && ($response['score'] && $response['score'] > 0.5)) {


	$contador_incidente = extraer_contador();
	$contador_incidente = $contador_incidente+1;

	$codigo_incidente = 'RV-'.str_pad($contador_incidente, 5, "0", STR_PAD_LEFT);
    
	$fecha= $_POST['fecha'];
	$tipoDoc= $_POST['tipoDoc'];
	$nrodocumento= $_POST['nrodocumento'];
	$nombres= $_POST['nombres'];
	$apepaterno= $_POST['apepaterno'];
	$apematerno= $_POST['apematerno'];
	$email= $_POST['email'];
	$telefono= $_POST['telefono'];
	$tipoUnidad= $_POST['tipoUnidad'];
	$tipoReclamo= $_POST['tipoReclamo'];
	$fechaIn= $_POST['fechaIn'];
	$horaIn= $_POST['horaIn'];
	$sucursal= $_POST['sucursal'];
	$constancia= $_POST['codigo'];
	$detalle= $_POST['detalle'];


	$insertIncidente = insertar_incidente($codigo_incidente,$fecha,$tipoDoc,$nrodocumento,$nombres,$apepaterno,$apematerno,$email,$telefono,$tipoUnidad,$tipoReclamo,$fechaIn,$horaIn,$sucursal,$constancia,$detalle);


	$respuesta = $insertIncidente;

	// $respuesta = 'si es valido';

  }else {
  
    $respuesta = "No valido";
  
  }

echo json_encode($respuesta);


  function extraer_contador () {

	  	include_once("../config/conexion.php");

	  	$query = $conexion->prepare("SELECT contador FROM contadores WHERE idContador=1");
			
		$query->execute();
		$data = $query->fetch(PDO::FETCH_ASSOC);

		return $data['contador'];

  }


    function extraer_contador_2( PDO $conexion) {

	  	// include_once("../config/conexion.php");

	  	$query = $conexion->prepare("SELECT contador FROM contadores WHERE idContador=1");
			
		$query->execute();
		$data = $query->fetch(PDO::FETCH_ASSOC);

		return $data['contador'];

  }


 

  function envioCorreoCliente(PDO $conexion,$email,$fecha,$nombres,$apepaterno,$apematerno,$codigo_incidente,$tipoReclamo) {

  	require_once ('../../librerias/PHPMailer/Exception.php');
	require_once ('../../librerias/PHPMailer/PHPMailer.php');
	require_once ('../../librerias/PHPMailer/SMTP.php');

	if ($tipoReclamo == 1) {
		$descIncidente = 'Reclamo';
	}else {
		$descIncidente = 'Queja';

	}

	// -- para la fecha

	$date = date_create($fecha);
	$fechaSolicitud =  date_format($date,"d/m/Y");



	// Create an instance; passing `true` enables exceptions
	$mail = new PHPMailer(true);

	try {
							    //Server settings
				 $mail->SMTPDebug = 0;                      //Enable verbose debug output
				 $mail->isSMTP();                                            //Send using SMTP
				 $mail->Host       = 'email-smtp.us-east-1.amazonaws.com';                     //Set the SMTP server to send through
				 $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
				 $mail->Username   = 'AKIA2DWXAG2USAITN3EA';                     //SMTP username
				 $mail->Password   = 'BEMq4W5TysbZGcRBFliveioR04O2SRJgoYF888RVBXg9';                               //SMTP password
				 $mail->SMTPSecure = 'tls';            //Enable implicit TLS encryption
				 $mail->Port       = 587; 
				                                //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

				//Recipients
				$mail->setFrom('gescorp_noreply@escacorp.com.pe', 'Escacorp SAC');
				$mail->addAddress($email, 'Cliente');     //Add a recipient
							    


				//Content
				$mail->isHTML(true);                                  //Set email format to HTML
				$mail->Subject = $descIncidente.' Tramitado - ESCACORP S.A.C ';
				$mail->Body    = 'Estimado(a) Sr(a). <b>'.$nombres.' '.$apepaterno.'</b><br><br>Le informamos que hemos recibido con éxito su '.$descIncidente.'.<br><br>Código de la solicitud: <b>'.$codigo_incidente.'</b><br>Fecha de la solicitud: <b>'.$fechaSolicitud.'</b><br><br>El tiempo para poder resolverla y comunicárselo es de 15 días hábiles.<br>Recuerde que es muy importante para nosotros poder conocer su opinión y que trabajamos arduamente para poder brindarle el mejor servicio.';
				$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
				$mail->CharSet = 'UTF-8'; 

				if($mail->send()){

					$contadorNew = extraer_contador_2($conexion);

					$contadorNew = $contadorNew+1;

					$query = $conexion->prepare("UPDATE contadores 
											SET contador = $contadorNew
										WHERE idContador = 1");
					$query->execute();

					$respuesta = 1;

				}else {

					$respuesta = 0;

				}
							   
		} catch (Exception $e) {
			
			$foo = "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";

			$respuesta = 2;
		}

		return $respuesta;
  }



  function insertar_incidente($codigo_incidente,$fecha,$tipoDoc,$nrodocumento,$nombres,$apepaterno,$apematerno,$email,$telefono,$tipoUnidad,$tipoReclamo,$fechaIn,$horaIn,$sucursal,$constancia,$detalle){

		include_once("../config/conexionPDO.php");	

		$array_resp = [];

		if ($constancia== null || $constancia=="" || !isset($constancia) ) {
			
			$constancia_e='';
		}else {
			$constancia_e = $constancia;
		}

			$query = $conexion->prepare("INSERT INTO reclamo ( codigo_incidente, fecha_reclamo, tipo_documento, nro_documento, nombre_paciente, apepaterno_paciente, apematerno_paciente, email, telefono, tipo_uen, tipo_reclamo, fecha_incidente, hora_incidente, sucursal,codigo_atencion, detalle_incidente) VALUES ('$codigo_incidente', '$fecha', '$tipoDoc', '$nrodocumento', '$nombres', '$apepaterno', '$apematerno', '$email', '$telefono', '$tipoUnidad', '$tipoReclamo', '$fechaIn', '$horaIn', '$sucursal','$constancia_e','$detalle');");
		
					if ($query->execute()) {
					// if (true) {

						$id = $conexion->lastInsertId(); // ultimo id insertado


						$enviar = envioCorreoCliente($conexion,$email,$fecha,$nombres,$apepaterno,$apematerno,$codigo_incidente,$tipoReclamo);

						if ($enviar == 1) {
						// if (true) {
							

							$query = $conexion->prepare("UPDATE reclamo 
									SET envio_correo = 1
										WHERE idReclamo = $id");

							if ($query->execute()) {

								$date = date_create($fecha);
								$fechaAlert =  date_format($date,"d/m/Y");

								$dato = [$fechaAlert, $codigo_incidente];
								array_push($array_resp, 1);
								array_push($array_resp, $dato);

								$respuestaInsert =$array_resp; // enviado correo actualizado contador y actualizado envio correo

							}else {

								array_push($array_resp, 0);
								array_push($array_resp, 0);

								$respuestaInsert = $array_resp;

							}	


							}else {

								array_push($array_resp, 2);
								array_push($array_resp, 0);

								$respuestaInsert = $array_resp;

							}


							return $respuestaInsert;
							
						
					}else {

								array_push($array_resp, 3);
								array_push($array_resp, 0);

								$respuestaInsert = $array_resp;

						return $respuestaInsert;

					}

  }





