// console.log(`estamos en fichas.js`)


let formBusquedaPersonalFichas = document.getElementById('formBusquedaFichas')
	
	formBusquedaPersonalFichas.addEventListener('submit', e => {

		e.preventDefault();

		buscar_llenar_table ()

	})



const buscar_llenar_table = () => {

	$.post('app/funciones/dficha.php', $( "#formBusquedaFichas" ).serialize())
	    .done(function(data)
	    {	
	    	let arraydata = JSON.parse(data); 

	    	// console.log(arraydata)


	    	let etiquetasFichas = '',i=1
	    	let usuario,estado


	    	 arraydata.map( data => {

	    	 	// console.log(data['usuario']);

	    	 	if (data['usuario'] == 'NO REGISTRA' ) {
	    	 		usuario = `<span style="color: red;font-weight: bolder;">${data['usuario']}</span>`
	    	 	}else {
	    	 		usuario = `<span style="color: green; font-weight: bolder;">${data['usuario']}</span>`
	    	 	}

	    	 	if (data['estado'] == 0 ) {
	    	 		estado =  `<span style="color: red;font-weight: bolder;"><i class="fas fa-times mr-1"></i> NO REALIZADO</span>`
	    	 	} else if ( data['estado'] == 1 ) {
	    	 		estado = `<span style="color: #D3DE61;font-weight: bolder;"><i class="fas fa-spinner mr-1"></i> PROCESO</span>`
	    	 	}else {
	    	 		estado = `<span style="color: green; font-weight: bolder;"><i class="far fa-thumbs-up mr-1"></i> FINALIZADO</span>`
	    	 	}



	    	//  	// --- para el tema de botones 
	    	 	let botones =''

	    	 	if ( data['estado'] == 0 ) {

	    	 		botones = `<button class="btn btn-secondary mb-2" onclick="VerIncidente(${data['idReclamo']})" ><i class="far fa-sticky-note mr-1"></i>Ver</button>
	    	 				   <button class="btn btn-primary mb-2" onclick="tomar(${data['idReclamo']})" ><i class="far fa-hand-paper mr-1"></i>Tomar</button>`

	    	 	}else if ( data['estado'] == 1  ){

	    	 		botones = `<button class="btn btn-secondary mb-2" onclick="VerIncidente(${data['idReclamo']})" ><i class="far fa-sticky-note mr-1"></i>Ver</button>
	    	 				   <button class="btn btn-success mb-2" onclick="finalizar(${data['idReclamo']})" ><i class="far fa-thumbs-up mr-1"></i>Finalizar</button>`

	    	 	}else {

	    	 		botones = `<button class="btn btn-secondary mb-2" onclick="VerIncidente(${data['idReclamo']})" ><i class="far fa-sticky-note mr-1"></i>Ver</button>`

	    	 	}




	    	 	etiquetasFichas+=` <tr>
	    	 							<td>${i}</td>
	    	 							<td>${data['fecha_reclamo']}</td>
	    	 							<td>${data['codigo_incidente']}</td>
	    	 							<td>${data['nro_documento']}</td>
	    	 							<td>${data['cliente']}</td>
	    	 							<td>${usuario}</td>
	    	 							<td>${estado}</td>
	    	 							<td>${botones}</td>
	    	 							
	    	 					  </tr>`
	    	 	i++

	    	 })

	    	 let tbodyTable = document.getElementById('tbodyTable')
	    	 	tbodyTable.innerHTML = etiquetasFichas


	    	 $('#listadoFichasSintoma').DataTable();


	    }
	 );


}



// --- funciones de toma y vizualizacion 

const tomar = (idReclamo) => {

	// alert(`se esta tomando ${idOrden} `)

		Swal.fire({
			  title: 'Estas Seguro de Tomar este reclamo?',
			  text: "Recuerda finalizar la el reclamo",
			  icon: 'warning',
			  showCancelButton: true,
			  confirmButtonColor: '#3085d6',
			  cancelButtonColor: '#d33',
			  confirmButtonText: 'Si, deseo Tomarla!',
			  cancelButtonText: 'Cancelar'

			}).then((result) => {
			  if (result.isConfirmed) {

				  		$.post('app/funciones/dficha.php', {tipoFFicha:2, idReclamo:idReclamo})
						    .done(function(data)
						    {	
						    	// console.log(data)


						    	if (data == 1 ) {
							    			Swal.fire({
									                  icon: 'success',
									                  title: 'Incidencia Tomada',
									                  text:  'Se realizo la acción correctamente!',
									                  confirmButtonText: 'Aceptar'

									                  })
									                  .then (()=>{

									                     // ----- funcion retornar
									                    buscar_llenar_table()

									                   })
							    	}else {

							    		Swal.fire({
									                  icon: 'error',
									                  title: 'Error al tomar la Incidencia',
									                  text:  'Se realizo la acción Fallida!',
									                  confirmButtonText: 'Aceptar'

									                  })
									                  .then (()=>{

									                    // ----- funcion retornar
									                    buscar_llenar_table()

									                   })
							    	}
						    } );

			  }else {
			  	
			  }
			})

}


const VerIncidente = idReclamo => {

	$("#modalVerIncidente").modal("show")

	llenadoDatosEdit(idReclamo)


}



const llenadoDatosEdit = (idReclamo) => {

	let cliente_edit = document.getElementById('cliente_edit'),
		dni_edit = document.getElementById('dni_edit'),
		email_edit = document.getElementById('email_edit'),
		telefono_edit = document.getElementById('telefono_edit'),
		uen_edit = document.getElementById('uen_edit'),
		fechahora_edit = document.getElementById('fechahora_edit'),
		sucursal_edit = document.getElementById('sucursal_edit'),
		detalle_edit = document.getElementById('detalle_edit')
		

		$.post('app/funciones/dficha.php', {tipoFFicha:4, idReclamo:idReclamo})
	    .done(function(data)
	    {

	    	let respuesta = JSON.parse(data);

	    	// console.log(respuesta)

	    	let unidad,sucursal;

	    	if (respuesta[0]['tipo_uen'] == 1 ) {

	    		unidad = 'ESCALABS'

	    	}else {
	    		unidad = 'ESCAMED'
	    	}


	    	if (respuesta[0]['sucursal'] == 1 ) {

	    		sucursal = 'BOLOGNESI (PRINCIPAL)'
	    	}else if (respuesta[0]['sucursal'] == 2){
	    		sucursal = 'SANTA INES'
	    	}else if (respuesta[0]['sucursal'] == 3){
				sucursal = 'CALIFORNIA'
	    	}else if (respuesta[0]['sucursal'] == 4){
	    		sucursal = 'JUAN PABLO'
	    	}else if (respuesta[0]['sucursal'] == 5){
	    		sucursal = 'MOCHE'
	    	}else {
	    		sucursal = 'QUINTANAS'
	    	}

	    	cliente_edit.value = respuesta[0]['nombre_paciente']+' '+respuesta[0]['apepaterno_paciente']+' '+respuesta[0]['apematerno_paciente'];
			dni_edit.value = respuesta[0]['nro_documento'];
			email_edit.value = respuesta[0]['email'];
			telefono_edit.value = respuesta[0]['telefono'];
			uen_edit.value = unidad;
			fechahora_edit.value = respuesta[0]['fecha_incidente']+' '+respuesta[0]['hora_incidente'];
			sucursal_edit.value = sucursal;
			detalle_edit.value = respuesta[0]['detalle_incidente'];

	    } );
}




// --- funciones para finalizar y envio de correo

const finalizar = (idReclamo) => {

	// alert(`se esta tomando ${idOrden} `)

		Swal.fire({
			  title: 'Estas Seguro de Finalizar este reclamo?',
			  text: "Al finalizar el reclamo se envia un email al cliente asociado",
			  icon: 'warning',
			  showCancelButton: true,
			  confirmButtonColor: '#3085d6',
			  cancelButtonColor: '#d33',
			  confirmButtonText: 'Si, deseo Finalizar!',
			  cancelButtonText: 'Cancelar'

			}).then((result) => {
			  if (result.isConfirmed) {

				  		$.post('app/funciones/dficha.php', {tipoFFicha:5, idReclamo:idReclamo})
						    .done(function(data)
						    {	
						    	// console.log(data)


						    	if (data == 1 ) {
							    			Swal.fire({
									                  icon: 'success',
									                  title: 'Incidencia Finalizada',
									                  text:  'Se realizo la acción correctamente!',
									                  confirmButtonText: 'Aceptar'

									                  })
									                  .then (()=>{

									                     // ----- funcion retornar
									                    buscar_llenar_table()

									                   })
							    	}else {

							    		Swal.fire({
									                  icon: 'error',
									                  title: 'Error al finalizar la Incidencia',
									                  text:  'Se realizo la acción Fallida!',
									                  confirmButtonText: 'Aceptar'

									                  })
									                  .then (()=>{

									                    // ----- funcion retornar
									                    buscar_llenar_table()

									                   })
							    	}
						    } );

			  }else {
			  	
			  }
			})

}


