<?php

	if (isset($_GET['uen'])) {
		
		$unidad = $_GET['uen'];
	}else {

		die('Se necesita redirigirse desde la pagina web de nuestras sucursales');
	}
	
?>
<!doctype html>
<html lang="en">
  <head>
  	<title>Libro de Reclamaciones - Escalabs</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="icon" href="assets/dist/img/logo_corto.png" type="image/gif" >

	<link href='https://fonts.googleapis.com/css?family=Roboto:400,100,300,700' rel='stylesheet' type='text/css'>

	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
	<link rel="stylesheet" href="assets/css/style.css">



	<script type="text/javascript">
		document.addEventListener("DOMContentLoaded", function(){
			// add padding top to show content behind navbar
			navbar_height = document.querySelector('.navbar.fixed-top').offsetHeight;
			document.body.style.paddingTop = navbar_height + 'px';

			// -- validacion para UEN

			let tipoUnidad = document.getElementById('tipoUnidad'),
			    sucursal = document.getElementById('sucursal'),
				etiqueta='',etiquetaSucu = ''

			if (<?=$unidad?> ==  1 ) {

				 etiqueta = `<option value="1" selected  >ESCALABS</option>`
				 etiquetaSucu = `<option value="0">-- SELECCIONE SUCURSAL --- </option>
									<option value="1">BOLOGNESI (PRINCIPAL)</option>
									<option value="2">SANTA INES</option>
									<option value="3">CALIFORNIA</option>
									<option value="4">JUAN PABLO</option>
									<option value="5">MOCHE</option>`

			}else {
				 etiqueta = `<option value="2" selected  >ESCAMED</option>`
				 etiquetaSucu = `<option value="6">LAS QUINTANAS</option>`
			}


			tipoUnidad.innerHTML = etiqueta			
			sucursal.innerHTML = etiquetaSucu			



		}); 
		// DOMContentLoaded  end
	</script>


	<script src="https://www.google.com/recaptcha/api.js?render=6LecQ5QiAAAAAN1tr5vX50WxUw1ocQLo0_ZFDqgs"></script>



	</head>
	<body >

	


			<!-- <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-nav-bar" > -->
			<nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
				<div class="container-fluid">
					<a class="navbar-brand" href="https://escalabs.com/" >  <img src="assets/images/escalabs.png"  style="width: 185px" alt="logo" ></a>
					
					<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
					</button>
					<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						
						<li class="nav-item dropdown">
						<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
							Nosotros
						</a>
						<ul class="dropdown-menu" aria-labelledby="navbarDropdown">
							<li><a class="dropdown-item" href="https://escalabs.com/" target="_blank">ESCALABS</a></li>
							<li><hr class="dropdown-divider"></li>
							<li><a class="dropdown-item" href="http://escamed.com.pe/site/" target="_blank">ESCAMED</a></li>
						</ul>
						</li>
					
					</ul>
				
					</div>
				</div>
			</nav>


			<div class="container-fluid mb-1 " >
				<!-- <div class="row" style="background: #379C27; border:2px solid #AFAFAF"> -->
				<div class="row" style="background: #969696; border:2px solid #969696">
					<div class="col-md-6 mt-2 text-center">
		
						<p><span style="color: #FFFF; font-weight: bolder; font-family: 'Tangerine', sans-serif"><i class="fa fa-book mr-1" aria-hidden="true"></i> LIBRO DE RECLAMACIONES</span> </p>
		
					</div>

					<div class="col-md-6 mt-2 text-right">
						<small> <span style="color: #FFFF; font-weight: bolder; font-family: 'Tangerine', sans-serif">Escacorp</span> <span style="color:#969696; font-weight: bolder;">></span>  <span style="color: #FFFF; font-weight: bolder; font-family: 'Tangerine', sans-serif">Libro Reclamación</span></small>
					</div>

				</div>

				
			</div>




			<div class="container mt-3">

				<div class="row justify-content-center">
					<div class="col-md">
						<div class="alert alert-secondary" role="alert">
							<b>¡Atención </b> Estimado cliente, recuerde que a través de nuestra página web usted podrá presentar su reclamo o queja en el Libro de Reclamaciones.Si requiere de ayuda en su llenado, puede comunicarse con nosotros al: <b> (044) 480730 Anexo 1</b>  y con gusto lo atenderemos.
						</div>
					</div>
				</div>


				
				<div class="row justify-content-center">
					<div class="col-md-12">
						<div class="wrapper">
							
							<div class="row no-gutters">
								<div class="col-md-12">
								<form method="POST" id="formularioRegistro" >	
									<div class="contact-wrap w-100 p-md-5 p-4">
										<h6 class="mb-4" style="color: green;"> <b>1. IDENTIFICACIÓN DEL CONSUMIDOR RECLAMANTE</b> </h6>
										<div id="form-message-warning" class="mb-4"></div> 
				
										
											<div class="row">

												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Fecha Reclamación: </label>
														<input type="date" class="form-control" name="fecha" id="fecha" value="<?=date('Y-m-d')?>"  placeholder="Subject" readOnly>
													</div>
												</div>

												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Tipo Documento Identidad: </label>

														<select name="tipoDoc" id="tipoDoc" class="form-control">
															<option value="1">DNI</option>
															<option value="2">CARNET DE EXTRANJERIA</option>
															<option value="3">PASAPORTE</option>
															<option value="4">OTRO</option>
														</select>

														
													</div>
												</div>

												<div class="col-md-6">
													<div class="form-group">
														<label class="label" for="name">N° Documento:</label>
														<input type="text" class="form-control" name="nrodocumento" id="nrodocumento" placeholder="Ingrese N° Documento"  >
													</div>
												</div>
												<div class="col-md-6"> 
													<div class="form-group">
														<label class="label" for="email">Nombres Completos: <span style="color: red;">(*)</span></label>
														<input type="text" class="form-control" name="nombres" id="nombres" placeholder="Ingrese Nombres"  >
													</div>
												</div>

												<div class="col-md-6">
													<div class="form-group">
														<label class="label" for="name">Apellido Paterno:<span style="color: red;">(*)</span></label>
														<input type="text" class="form-control" name="apepaterno" id="apepaterno" placeholder="Apellido Paterno" >
													</div>
												</div>
												<div class="col-md-6"> 
													<div class="form-group">
														<label class="label" for="email">Apellido Materno:<span style="color: red;">(*)</span></label>
														<input type="text" class="form-control" name="apematerno" id="apematerno" placeholder="Apellido Materno" >
													</div>
												</div>
												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Email:<span style="color: red;">(*)</span></label>
														<input type="email" class="form-control" name="email" id="email" placeholder="Ingrese Correo Electrónico">
													</div>
												</div>
												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Telefono:<span style="color: red;">(*)</span></label>
														<input type="text" class="form-control" name="telefono" id="telefono" placeholder="Ingrese Correo N° Teléfono" >
													</div>
												</div>
											</div>
									</div>

									<!-- sss -->
									
									<div class="contact-wrap w-100 pl-md-5 pl-4 pr-md-5 pr-4">
										<h6 class="mb-4" style="color: green;"> <b>2. DETALLE DE LA RECLAMACIÓN Y PEDIDO DEL CONSUMIDOR</b> </h6>
										<div id="form-message-warning" class="mb-4"></div> 
											<div class="row">


												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Unidad Negocio:<span style="color: red;">(*)</span></label>
														<select name="tipoUnidad" id="tipoUnidad" class="form-control" readOnly >
															<option value="0">-- SELECCIONE --</option>
															<option value="1">ESCALABS</option>
															<option value="2">ESCAMED</option>
														</select>
													</div>
												</div>


												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Tipo Reclamación:<span style="color: red;">(*)</span></label>
														<select name="tipoReclamo" id="tipoReclamo" class="form-control">
															<option value="0">-- SELECCIONE --</option>
															<option value="1">RECLAMO</option>
															<option value="2">QUEJA</option>
														</select>
													</div>
												</div>


												<div class="col-md-6">
													<div class="form-group">
														<label class="label" for="name">Fecha del Incidente:<span style="color: red;">(*)</span> </label>
														<input type="date" class="form-control" name="fechaIn" id="fechaIn" placeholder="Name">
													</div>
												</div>

												<div class="col-md-6">
													<div class="form-group">
														<label class="label" for="name">Hora del Incidente:<span style="color: red;">(*)</span> </label>
														<input type="time" class="form-control" name="horaIn" id="horaIn" placeholder="Name">
													</div>
												</div>

												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Sucursal:<span style="color: red;">(*)</span></label>
														<select name="sucursal" id="sucursal" class="form-control">
										
														</select>
													</div>
												</div>

												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="subject">Codigo de Atención:</label>
														<input type="text" class="form-control" name="codigo" id="codigo" placeholder="Ingrese Codigo de Atención" style="text-transform:uppercase">
													</div>
												</div>
												<div class="col-md-12">
													<div class="form-group">
														<label class="label" for="#">Detalle<span style="color: red;">(*)</span></label>
														<textarea name="detalle" class="form-control" id="detalle" cols="30" rows="4" placeholder="Ingrese breve descripción del Incidente"></textarea>
													</div>
												</div>


												<div class="col-md-12">
													<div class="form-group">
														<div class="alert alert-success" role="alert">
													  	<b>Reclamo:</b> Cuando el cliente no está conforme con los servicios prestados. Por ejemplo: Resultado impuntual, toma de muestra inadecuada. <br>
														<b>Queja:</b> Cuando el cliente expresa un malestar o incomodidad al respecto algún tema que no tenga que ver con el giro de negocio. Por ejemplo: Falta de amabilidad, falta de empatía, falta de estacionamientos.
													</div>
													</div>		
												</div>

												 <input type="hidden" name="google-response-token" id="google-response-token">

												<div class="col-md-12">
													<div class="form-group">
														(*) Son campos Obligatorios.
													</div>
												</div>

												<div class="col-md-12">
													<div class="form-group text-center">
														<button class="btn btn-success w-25">ENVIAR </button>
														<div class="submitting"></div>
													</div>
												</div>


												<div class="col-md-12" id="mssgError" style="display: none;">
														<div class="form-group">

													<div class="alert alert-danger" role="alert">
													  <strong>Atención</strong> Debe Completar los campos.
											
													</div>
													</div>	
												</div>


											</div>
										
									</div>


								</form>
								</div>

							
								</div> 
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

		</div>

		<!-- </daaaiv> -->

		 <script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit"
	        async defer>
	    </script>

		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

		<script src="https://code.jquery.com/jquery-3.6.1.min.js" integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>

		<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

    	<script type="text/javascript" src="assets/js/reclamaciones.js"></script>	


	</body>
</html>

